#include "std.mi"

Global Group		grpMain;
Global Group		grpSongInfo;
Global Button		btnRepeat;
Global Layer		lyrRepDown;
Global Layer		lyrRephover;

System.onScriptLoaded() {

	grpMain 	= getScriptGroup();
	grpSongInfo 	= grpMain.findObject("SingInfo.Group");
	btnRepeat 	= grpSongInfo.findObject("Repeat");
	lyrRepDown	= grpSongInfo.findObject("RepeatDown");
	lyrRephover	= grpSongInfo.findObject("Repeathover");

	lyrRepDown.Hide();
	lyrRephover.Hide();
}

btnRepeat.onEnterArea(){

	btnRepeat.setAlpha(0);
	lyrRephover.Show();
}

btnRepeat.onLeftButtonDown(int x, int y) {

	lyrRephover.Hide();
	lyrRepDown.Show();
}

btnRepeat.onLeftButtonUp(int x, int y) {

	lyrRephover.Show();
	lyrRepDown.Hide();
}

btnRepeat.onLeaveArea(){

	btnRepeat.setAlpha(255);
	lyrRephover.Hide();
}